Skip to content

Version history

GET
/api/v1/workspaces/{workspace}/automations/{id}/versions
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/example/versions \
--header 'Authorization: Bearer <token>'

Permission: automations:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

id
required

Automation id

string
<= 40 characters

Automation id

OK

Media typeapplication/json
object
name
required
string
versions
required
Array<object>
object
createdAt
required
string format: date-time
createdBy
required
string
fromCreation
boolean
inFlow
required
integer format: int64
publishedAt
string format: date-time
publishedBy
string
retiredAt
string format: date-time
status
required

Retiring: replaced, but contacts are still finishing on it

string
Allowed values: draft live retiring retired
summary
required
string
version
required
integer format: int64

Example

{
"versions": [
{
"status": "draft"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}